package com.jay.monitor.data.server.models.request.alert;

import com.jay.monitor.data.server.anno.ESSearch;
import com.jay.monitor.data.server.enums.ESQuerySyntax;
import com.jay.monitor.data.server.models.request.trace.PageRequest;

import java.util.Date;

/**
 * @Module mq请求参数
 * @Description mq请求参数
 * @Author liukaixiong
 * @Date 2021/1/12 16:46
 */
public class AlertRuleRequest extends PageRequest {

    private String id;
    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 项目名称 , ALL 应用所有项目
     */
    private String project;

    /**
     * 告警编号
     */
    private String alertPlatformId;

    private String creator;

    private Date created;

    private String updator;

    private Date updated;

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator;
    }

    public Date getUpdated() {
        return updated;
    }

    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    public String getAlertPlatformId() {
        return alertPlatformId;
    }

    public void setAlertPlatformId(String alertPlatformId) {
        this.alertPlatformId = alertPlatformId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }
}
